rte_event_eth_rx_adapter_conf(3)

NAME
rte_event_eth_rx_adapter_conf

SYNOPSIS

#include <rte_event_eth_rx_adapter.h>

  Data Fields

uint8_t event_port_id
uint32_t max_nb_rx

Detailed Description

Adapter configuration structure that the adapter configuration callback function is expected to fill out

See also
    rte_event_eth_rx_adapter_conf_cb

Definition at line 118 of file rte_event_eth_rx_adapter.h.

Field Documentation

  uint8_t event_port_id
Event port identifier, the adapter enqueues mbuf events to this port.

Definition at line 119 of file rte_event_eth_rx_adapter.h.

  uint32_t max_nb_rx
The adapter can return early if it has processed at least max_nb_rx mbufs. This isn't treated as a requirement; batching may cause the adapter to process more than max_nb_rx mbufs.

Definition at line 123 of file rte_event_eth_rx_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.